import * as $dara from '@darabonba/typescript';
import { CreateRouteTargetGroupResponseBody } from "./CreateRouteTargetGroupResponseBody";
export declare class CreateRouteTargetGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateRouteTargetGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
